org.keycloak.models.cache

## Class OAuthClientAdapter

- java.lang.Object
- - org.keycloak.models.cache.ClientAdapter
  - - org.keycloak.models.cache.OAuthClientAdapter

- All Implemented Interfaces:
    ClientModel, OAuthClientModel

      public class OAuthClientAdapter
      extends ClientAdapter
      implements OAuthClientModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedOAuthClient` | `cached`
    `protected OAuthClientModel` | `updated`

    - ### Fields inherited from class org.keycloak.models.cache.ClientAdapter

      `cache, cachedClient, cachedRealm, cacheSession, updatedClient`

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientAdapter(RealmModel cachedRealm, CachedOAuthClient cached, CacheRealmProvider cacheSession, RealmCache cache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientId()` String exposed to outside world
    `protected void` | `getDelegateForUpdate()`
    `int` | `hashCode()`
    `void` | `setClientId(String id)`

    - ### Methods inherited from class org.keycloak.models.cache.ClientAdapter

      `addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, getAllowedClaimsMask, getAttribute, getAttributes, getId, getNotBefore, getProtocol, getRealm, getRealmScopeMappings, getRedirectUris, getScopeMappings, getSecret, getWebOrigins, hasScope, isDirectGrantsOnly, isEnabled, isFullScopeAllowed, isPublicClient, removeAttribute, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setAttribute, setDirectGrantsOnly, setEnabled, setFullScopeAllowed, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, getAllowedClaimsMask, getAttribute, getAttributes, getId, getNotBefore, getProtocol, getRealm, getRealmScopeMappings, getRedirectUris, getScopeMappings, getSecret, getWebOrigins, hasScope, isDirectGrantsOnly, isEnabled, isFullScopeAllowed, isPublicClient, removeAttribute, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setAttribute, setDirectGrantsOnly, setEnabled, setFullScopeAllowed, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

- - ### Field Detail

    - #### updated

          protected OAuthClientModel updated

    - #### cached

          protected CachedOAuthClient cached

  - ### Constructor Detail

    - #### OAuthClientAdapter

          public OAuthClientAdapter(RealmModel cachedRealm,
                            CachedOAuthClient cached,
                            CacheRealmProvider cacheSession,
                            RealmCache cache)

  - ### Method Detail

    - #### getDelegateForUpdate

          protected void getDelegateForUpdate()

      Specified by:
        `getDelegateForUpdate` in class `ClientAdapter`

    - #### getClientId

          public String getClientId()

      Description copied from interface: `ClientModel`
      String exposed to outside world
      Specified by:
        `getClientId` in interface `ClientModel`
      Specified by:
        `getClientId` in class `ClientAdapter`
      Returns:

    - #### setClientId

          public void setClientId(String id)

      Specified by:
        `setClientId` in interface `OAuthClientModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015. All Rights Reserved.